Subject: Re: T21) AuditCapabilities

From: Nancy-M Greene <[email-masked]>
Date: Thu, 30 Sep 1999 13:33:10 -0500

Brian, I don't see your proposed text in draft-04. Your sentence:
"Values appearing
> in multiple instances of a descriptor are defined to be alternate
> values supported, with each parameter in a descriptor considered
> independent."
>
needs to go in section 7.2.6 AuditCapabilities.

--------------------------------------------------------------------------
Nancy M. Greene
Internet & Service Provider Networks, Nortel Networks
T:514-271-7221 (internal:ESN853-1077) E:[email-masked]

> ----------
> From:         Brian Rosen[SMTP:[email-masked]]
> Sent:         Thursday, August 12, 1999 8:29 PM
> To:   Greene, Nancy-M [CAR:5N10:EXCH]; [email-masked]
> Subject:      RE: T21) AuditCapabilities
>
> Yep.
>
> I do wish to point out there is a certain amount of ambiguity
> in this area.  Since the descriptors have multiple parameters,
> it isn't clear how you indicate combinations of options.
>
> Presumably, the Segars' proposal for "native" media descriptors
> will handle simultaneous and alternate capabilities.
>
> For the rest, I propose the semantics be defined as "values appearing
> in multiple instances of a descriptor are defined to be alternate
> values supported, with each parameter in a descriptor considered
> independent."  This is an "OR", without the possibility of an "AND"
>
> So, suppose we had three parameters: a, b and c
>
> desc{a=1, b=1, c=One}
> desc{a=2, c=Two}
> desc{a=3}
>
> indicates that 'a' can take the values 1,2 or 3, 'b' can take the
> value 1, and 'c' can take the values One or Two.
>
> Brian
>
> > -----Original Message-----
> > From: Nancy-M Greene [mailto:[email-masked]]
> > Sent: Thursday, August 12, 1999 1:35 PM
> > To: [email-masked]
> > Subject: T21) AuditCapabilities
> >
> >
> > > T21) Annex B: ***AuditCapabilities - need to allow multiple
> > copies of
> > > descriptors to be returned. ABNF needs to be updated.
> > >
> > In fact, on closer look, this is not an issue - the text describing
> > AuditCapabilities says multiple copies of descriptors can be
> > returned, and
> > the ABNF allows it.
> >
> > Nancy
> >
> > --------------------------------------------------------------
> > ------------
> > Nancy M. Greene
> > Internet & Service Provider Networks, Nortel Networks
> > T:514-271-7221 (internal:ESN853-1077) E:[email-masked]
> >
>